{
    "easycom": {
        "autoscan": true,
        "custom": {
            "^u--(.*)": "uview-plus/components/u-$1/u-$1.vue",
            "^up-(.*)": "uview-plus/components/u-$1/u-$1.vue",
            "^u-([^-].*)": "uview-plus/components/u-$1/u-$1.vue",
            "^ut-(.*)": "@/src/components/ut-$1/ut-$1.vue",
            "^(?!z-paging-refresh|z-paging-load-more)z-paging(.*)": "z-paging/components/z-paging$1/z-paging$1.vue"
        }
    },
    "pages": [
        //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
        {
            "path": "pages/index/index",
            "style": {
                "navigationBarTitleText": "首页"
            }
        },
        {
            "path": "pages/login/login",
            "style": {
                "navigationBarTitleText": "用户登录"
            }
        },
        //开发完成后需要删除的页面
        {
            "path": "pages/plant/base/index",
            "style": {
                "navigationBarTitleText": "种植端基地"
            }
        },
        {
            "path": "pages/plant/port/index",
            "style": {
                "navigationBarTitleText": "种植端种养殖"
            }
        },
        //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
        {
            "path": "pages/production/index",
            "style": {
                "navigationBarTitleText": "生产端"
            }
        },
        {
            "path": "pages/switch/index1",
            "style": {
                "navigationBarTitleText": "switch页面1"
            }
        },
        {
            "path": "pages/switch/index2",
            "style": {
                "navigationBarTitleText": "switch页面2"
            }
        }
    ],
    "subPackages": [
        {
            // 基地分包
            "root": "plant/base",
            "pages": [
                {
                    "path": "base-list/index",
                    "style": {
                        "navigationBarTitleText": "基地列表"
                    }
                },
                {
                    "path": "base-detail/index",
                    "style": {
                        "navigationBarTitleText": "基地详情"
                    }
                },
                {
                    "path": "base-edit/index",
                    "style": {
                        "navigationBarTitleText": "编辑基地"
                    }
                },
                {
                    "path": "base-map/index",
                    "style": {
                        "navigationBarTitleText": "基地地图"
                    }
                },
                // GAP基地信息
                {
                    "path": "gap-base-info/index",
                    "style": {
                        "navigationBarTitleText": "GAP基地信息"
                    }
                },
                // 添加Gap基地信息添加
                {
                    "path": "gap-base-info-edit/index",
                    "style": {
                        "navigationBarTitleText": "添加GAP基地信息"
                    }
                }
            ]
        },
        // 主营物种
        {
            "root": "plant/species",
            "pages": [
                {
                    "path": "config/index",
                    "style": {
                        "navigationBarTitleText": "配置主营物种"
                    }
                }
            ]
        },
        // 种养殖
        {
            "root": "plant/port",
            "pages": [
                {
                    "path": "port-create/index",
                    "style": {
                        "navigationBarTitleText": "创建种养殖任务"
                    }
                }
            ]
        },
        {
            "root": "tools",
            "pages": [
                {
                    "path": "map-draw-area/index",
                    "style": {
                        "navigationBarTitleText": "地图绘制面积图",
                        "disableScroll": true,
                        "enablePullDownRefresh": false,
                        "navigationStyle": "default"
                    }
                },
                {
                    "path": "map-gd/index",
                    "style": {
                        "navigationBarTitleText": "地图绘制面积图",
                        "disableScroll": true,
                        "enablePullDownRefresh": false,
                        "navigationStyle": "default"
                    }
                },
                // 选择企业人员
                {
                    "path": "select-cpy-member/index",
                    "style": {
                        "navigationBarTitleText": "选择企业成员"
                    }
                },
                // 选择种养殖品种
                {
                    "path": "select-medicine/index",
                    "style": {
                        "navigationBarTitleText": "选择种养殖品种"
                    }
                }
            ]
        }
    ],
    "tabBar": {
        "custom": true,
        "list": [
            {
                "pagePath": "pages/index/index"
            },
            {
                "pagePath": "pages/switch/index1"
            },
            {
                "pagePath": "pages/switch/index2"
            }
        ]
    },
    "globalStyle": {
        "navigationStyle": "custom",
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "uni-app",
        "navigationBarBackgroundColor": "#F8F8F8",
        "backgroundColor": "#F8F8F8",
        "rpxCalcMaxDeviceWidth": 1920,
        "rpxCalcBaseDeviceWidth": 375,
        "rpxCalcIncludeWidth": 750
    }
}
